Bug 1576263 (CVE-2018-5164) - CVE-2018-5164 Mozilla: CSP not applied to all multipart content sent with multipart/x-mixed-replace
Summary: CVE-2018-5164 Mozilla: CSP not applied to all multipart content sent with mul...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5164
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:13 UTC by Doran Moppert
Modified: 2019-09-29 14:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:02 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:13:29 UTC
Content Security Policy (CSP) is not applied correctly to all parts of multipart content sent with the `multipart/x-mixed-replace` MIME type. This could allow for script to run where CSP should block it, allowing for cross-site scripting (XSS) and other attacks. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5164

Comment 1 Doran Moppert 2018-05-09 07:13:34 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Khalil Zhani


Note You need to log in before you can comment on or make changes to this bug.